Subject: c++ library bug in V17.1
From: [email-masked] ("K.D.Peckover, B.Sc.(M.E.)")

3 Jan 1997 11:55:14 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have attempted to compile the demo files from the b16 version and have
run into a problem with the program cplus.exe.

After compilation I get to following segmenation fault in gdb:

4
5       void func() {
6         throw ERROR();
7       }
8
9
10      main()
11      {
12        int i;
13        for (i =0;i < 10; i++)
(gdb) break 12
Breakpoint 1 at 0x4010d4: file cplus.cc, line 12.
(gdb) run
Starting program: /ProgramFiles/cygwin32/demo/cplus.exe
bff30000:/WIN95/SYSTEM/GDI32.DLL
bff60000:/WIN95/SYSTEM/USER32.DLL
7e2e0000:/WIN95/SYSTEM/WSOCK32.DLL
bfef0000:/WIN95/SYSTEM/ADVAPI32.DLL
bff70000:/WIN95/SYSTEM/KERNEL32.DLL
10000000:/WIN95/SYSTEM/CYGWIN.DLL

Program received signal SIGSEGV, Segmentation fault.
0x40f1fa in __register_exceptions (table=0x487598)
Current language:  auto; currently c
(gdb)

I had compiled the program with the following command:

    gcc -g -o cplus.exe  -fexceptions cplus.cc -lstdc++

BTW: Programs run much faster and feel more stable.  Bravo!

-- 
Kevin D. Peckover, B.Sc.(M.E.)|"Beauty in front of me, Beauty behind me,
                              | Beauty to the left of me, Beauty to the
     [email-masked]       | right of me, Beauty above me, Beauty
below
                              | me, ... I'm on the Pollen Path !" - J.C.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".